### Property

# Ide PipelineStage:transient

#### Declaration

    property transient: gboolean [ read, write ]

#### Description

If the build stage is transient.

A transient build stage is removed after the completion of ide_pipeline_build_async(). This can be a convenient way to add a temporary item to a build pipeline that should be immediately discarded.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_pipeline_stage_set_transient()`
Getter method | `ide_pipeline_stage_get_transient()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no